/*   mp3tag.h
 *	Copyright (C) 1998  Marek Blaszkowski (mb@kis.p.lodz.pl).
 *  Copyright (C) 1998  Marcin Baranowski (minek@kis.p.lodz.pl).
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 */


#include <X11/Intrinsic.h>
#define TAG "TAG"

extern const char *VERSION;
extern FILE *mp3file;
extern const char *mp3name;
extern const char *pname;

int readtag();
void printtag( char );
char *print_frag( char *, char );
int readtagfile( char * );
void readtag_frag( FILE *, char *, char );
char genread( char * );
const char *genwrite( char );
void savetag( );
char checktag( );
void writetag_frag( const char *, char );
void striptag( );

void bye(Widget w,XtPointer clientdata,XtPointer calldata);
void play(Widget w,XtPointer clientdata,XtPointer calldata);
void stop_play(Widget w,XtPointer clientdata,XtPointer calldata);
void zmiana_();
void save(Widget w,XtPointer clientdata,XtPointer calldata);
void setgat(Widget w,XtPointer clientdata,XtPointer calldata);
void filecancel(Widget w,XtPointer clientdata,XtPointer calldata);
void fileok(Widget w,XtPointer clientdata,XtPointer calldata);
void zm_gat(Widget w,XtPointer clientdata,XtPointer calldata);
void btn_plik(Widget w,XtPointer clientdata,XtPointer calldata);
int startupx(int argc, char **argv);


struct Genre

{
	unsigned char genre[18];
	unsigned char ch;
};

#define GMAX 0x74


extern const struct Genre genre[116];



struct TAGmp3 
{
	char tag[3];
	char title[30];
	char artist[30];
	char album[30];
	char year[4];
	char comment[30];
	char genre;
};

extern struct TAGmp3 mp3tag;
extern Boolean IsX;
